Bug 166778 - man page for apachectl contains errors
man page for apachectl contains errors
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: httpd (Show other bugs)
4
All Linux
medium Severity low
: ---
: ---
Assigned To: Joe Orton
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-25 13:05 EDT by Robert P. J. Day
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-02 03:35:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Robert P. J. Day 2005-08-25 13:05:39 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.10) Gecko/20050720 Fedora/1.0.6-1.1.fc4 Firefox/1.0.6

Description of problem:
  "man apachectl" suggests, in several places, that running apachectl is equivalent to running "apachectl -k <action>".  i'm assuming that, in all those places, it should actually say it's equivalent to "httpd -k <action>", no?

Version-Release number of selected component (if applicable):
httpd-2.0.54-10.1

How reproducible:
Always

Steps to Reproduce:
1. man apachectl
2. read
3.
  

Additional info:
Comment 1 Gerwin Krist 2005-09-02 03:28:12 EDT
Yes you are right, -k is being used for httpd binary only and not for apachectl.
Comment 2 Gerwin Krist 2005-09-02 03:35:16 EDT
Using apachectl -k start|stop|restart is valid/works (apachectl passes the
parameters to httpd binary). So will close this ticket.

Cheers

Note You need to log in before you can comment on or make changes to this bug.